#!/bin/sh
#
# $FreeBSD: ports/mail/proxsmtp/files/proxsmtpd.sh.in,v 1.3 2006/02/17 16:51:55 mnag Exp $
#
# PROVIDE: proxsmtpd
# REQUIRE: DAEMON
#
# Add the fellowing line to /etc/rc.conf to enable proxsmtpd:
#
# proxsmtpd_enable (bool):	Set to "YES" to enable proxsmtpd.
#				Default is "NO".
# proxsmtpd_conf (file):	Set location of proxsmtpd.conf.
#				Default is "/usr/local/etc/proxsmtpd.conf"
#

. /etc/rc.subr

name="proxsmtpd"
rcvar=${name}_enable

load_rc_config ${name}

: ${proxsmtpd_enable="NO"}
: ${proxsmtpd_conf="/usr/local/etc/proxsmtpd.conf"}

required_files="${proxsmtpd_conf}"
command=/usr/local/sbin/proxsmtpd
command_args="-f ${proxsmtpd_conf}"

run_rc_command "$1"
